package com.gic.haoban.manage.api.dto.qdto.hm;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.io.Serializable;
import java.util.Date;

/**
 * 活码(TabHaobanHmQrcode)实体类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public class HmQrcodeListQDTO extends BasePageInfo implements Serializable {

    private static final long serialVersionUID = 887910678030827375L;
    
    private Long hmId;
    
    private String hmCode;
    /**
     * 1单人 2多人
     */
    private Integer hmType;
    
    private String wxEnterpriseId;
    
    private String enterpriseId;
    
    private String name;

    private String creatorName;

    
    private Date createTimeStart;
    
    private Date createTimeEnd;
    /**
     * 0删除 1正常 2作废 3待生效
     */
    private Integer statusFlag;
    
    private String storeId;
    
    private String storeName;
    
    private String storeCode;
    
    private String clerkId;
    
    private String clerkName;
    
    private String clerkCode;

    /**
     * 活码分组
     */
    private Long hmGroupId;

    public Long getHmId() {
        return hmId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public String getHmCode() {
        return hmCode;
    }

    public void setHmCode(String hmCode) {
        this.hmCode = hmCode;
    }

    public Integer getHmType() {
        return hmType;
    }

    public void setHmType(Integer hmType) {
        this.hmType = hmType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Date getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(Date createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public Date getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(Date createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Long getHmGroupId() {
        return hmGroupId;
    }

    public void setHmGroupId(Long hmGroupId) {
        this.hmGroupId = hmGroupId;
    }
}

